## libmatthew-java 0.7.1

=== Makefile ===
--- 
+++ 
@@ -5,35 +5,46 @@
 GCJ?=gcj
 CC?=gcc
 LD?=ld
-PPFLAGS?=-C -P
-CFLAGS?=-fpic -Wall -Os -pedantic -std=c99
-LDFLAGS?=-fpic -shared -lc 
-GCJFLAGS?=-fjni
-JCFLAGS?=
-INCLUDES?=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
+PPFLAGS+=-C -P
+CFLAGS+=-fpic -Wall -Os -pedantic -std=c99 -Werror
+GCJFLAGS+=-fjni
+JCFLAGS+=-source 5.0
+INCLUDES+=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 JAVADOCFLAGS?=-quiet -author -link http://java.sun.com/j2se/1.4.2/docs/api/
+
+LDVER?=$(shell ld -v | cut -d' ' -f1)
+UNAME?=$(shell uname -s)
+
+ifeq ($(LDVER),GNU)
+LDFLAGS+=-fpic -shared -lc 
+else
+LDFLAGS+=-lc
+endif
 
 PREFIX?=/usr/local
 JARDIR?=$(PREFIX)/share/java
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.5
+MATTVER=0.7.1
 DEBUGVER=1.1
-UNIXVER=0.2
+UNIXVER=0.5
 CGIVER=0.5
 IOVER=0.1
-HEXVER=0.1
+HEXVER=0.2
 
 SRC=$(shell find cx -name '*.java' -and -not -name 'Debug.java')
+
+DEBUG?=disable
 
 .NOPARALLEL:
 
 all: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar libcgi-java.so libunix-java.so
 
 classes: .classes 
-.classes: $(SRC)
+.classes: $(SRC) 
 	mkdir -p classes
+	$(MAKE) .$(DEBUG)debug
 	$(JAVAC) $(JCFLAGS) -d classes -cp classes $^
 	touch .classes
 clean:
@@ -46,8 +57,13 @@
 io-$(IOVER).jar: .classes
 	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/io/*class)
 unix-$(UNIXVER).jar: .classes
+ifeq ($(DEBUG),enable)
 	echo "Class-Path: $(JARDIR)/debug-$(DEBUG).jar" > Manifest
+else
+	echo "Class-Path: " > Manifest
+endif
 	(cd classes; $(JAR) cfm ../$@ ../Manifest cx/ath/matthew/unix/*class)
+
 hexdump-$(HEXVER).jar: .classes
 	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/utils/Hexdump.class)
 
@@ -76,14 +92,16 @@
 	make .disabledebug
 	echo "Class-Path: $(JARDIR)/hexdump.jar" > Manifest
 	(cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
-.enabledebug: cx/ath/matthew/debug/Debug.jpp .classes
+.enabledebug: cx/ath/matthew/debug/Debug.jpp 
+	mkdir -p classes
 	cpp $(PPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .disabledebug
 	touch .enabledebug
-.disabledebug: cx/ath/matthew/debug/Debug.jpp .classes
+.disabledebug: cx/ath/matthew/debug/Debug.jpp 
+	mkdir -p classes
 	cpp $(PPFLAGS) -DDEBUGSETTING=false < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .enabledebug
 	touch .disabledebug
 cx/ath/matthew/debug/Debug.java: .disabledebug
@@ -96,7 +114,12 @@
 	install -d $(DESTDIR)$(DOCDIR)
 	cp -a doc $(DESTDIR)$(DOCDIR)/api
 
-install: libcgi-java.so libunix-java.so unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar
+install-native: libcgi-java.so libunix-java.so 
+	install -d $(DESTDIR)$(LIBDIR) 
+	install libcgi-java.so $(DESTDIR)$(LIBDIR)
+	install libunix-java.so $(DESTDIR)$(LIBDIR)
+
+install-jar: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar
 	install -d $(DESTDIR)$(JARDIR)
 	install -m 644 debug-enable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)
 	install -m 644 debug-disable-$(DEBUGVER).jar $(DESTDIR)$(JARDIR)
@@ -110,7 +133,5 @@
 	ln -sf io-$(IOVER).jar $(DESTDIR)$(JARDIR)/io.jar
 	ln -sf cgi-$(CGIVER).jar $(DESTDIR)$(JARDIR)/cgi.jar
 	ln -sf hexdump-$(HEXVER).jar $(DESTDIR)$(JARDIR)/hexdump.jar
-	install -d $(DESTDIR)$(LIBDIR) 
-	install libcgi-java.so $(DESTDIR)$(LIBDIR)
-	install libunix-java.so $(DESTDIR)$(LIBDIR)
 
+install: install-native install-jar
