## libmatthew-java 0.7.2

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,14 @@
 JAVAH?=javah
 GCJ?=gcj
 CC?=gcc
-LD?=ld
-PPFLAGS+=-C -P
-CFLAGS+=-fpic -Wall -Os -pedantic -std=c99 -Werror
-GCJFLAGS+=-fjni
-JCFLAGS+=-source 5.0
+LD?=gcc
+JPPFLAGS+=-C -P
+CFLAGS+=-Wall -Os -pedantic -Werror
+CSTD?=-std=c99
+CSHAREFLAG+=-fpic -fno-stack-protector
+GCJJNIFLAG=-fjni
+JVERCFLAGS+=-source 1.5
+JCFLAGS+=
 INCLUDES+=-I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
 JAVADOCFLAGS?=-quiet -author -link http://java.sun.com/j2se/1.4.2/docs/api/
 
@@ -16,9 +19,9 @@
 UNAME?=$(shell uname -s)
 
 ifeq ($(LDVER),GNU)
-LDFLAGS+=-fpic -shared -lc 
+LDSHAREFLAGS+=-fpic -shared
 else
-LDFLAGS+=-lc
+LDSHAREFLAGS+=-lc
 endif
 
 PREFIX?=/usr/local
@@ -26,7 +29,7 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.7.1
+MATTVER=0.7.2
 DEBUGVER=1.1
 UNIXVER=0.5
 CGIVER=0.5
@@ -38,6 +41,8 @@
 DEBUG?=disable
 
 .NOPARALLEL:
+.NO_PARALLEL:
+.NOTPARALLEL:
 
 all: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar libcgi-java.so libunix-java.so
 
@@ -45,7 +50,7 @@
 .classes: $(SRC) 
 	mkdir -p classes
 	$(MAKE) .$(DEBUG)debug
-	$(JAVAC) $(JCFLAGS) -d classes -cp classes $^
+	$(JAVAC) $(JVERCFLAGS) $(JCFLAGS) -d classes -cp classes $^
 	touch .classes
 clean:
 	rm -rf classes doc
@@ -68,16 +73,16 @@
 	(cd classes; $(JAR) cf ../$@ cx/ath/matthew/utils/Hexdump.class)
 
 %.o: %.c %.h
-	$(CC) $(CFLAGS) $(INCLUDES) -c -o $@ $<
+	$(CC) $(CFLAGS) $(CSTD) $(CSHAREFLAG) $(INCLUDES) -c -o $@ $<
 lib%.so: %.o
-	$(LD) $(LDFLAGS) -o $@ $<
+	$(CC) $(LDFLAGS) $(LDSHAREFLAGS) -o $@ $<
 unix-java.h: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.unix.UnixServerSocket cx.ath.matthew.unix.UnixSocket cx.ath.matthew.unix.USInputStream cx.ath.matthew.unix.USOutputStream
 cgi-java.h: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.cgi.CGI
 
 test.cgi: cgi-$(CGIVER).jar libcgi-java.so
-	$(GCJ) $(GCJFLAGS) -L. -lcgi-java -o test.cgi --main=cx.ath.matthew.cgi.testcgi cgi-$(CGIVER).jar
+	$(GCJ) $(GCJFLAGS) $(GCJJNIFLAG) -L. -lcgi-java -o test.cgi --main=cx.ath.matthew.cgi.testcgi cgi-$(CGIVER).jar
 	
 libmatthew-java-$(MATTVER).tar.gz: Makefile cx cgi-java.c unix-java.c README INSTALL COPYING changelog
 	mkdir -p libmatthew-java-$(MATTVER)
@@ -94,14 +99,14 @@
 	(cd classes;jar cfm ../$@ ../Manifest cx/ath/matthew/debug/*.class)
 .enabledebug: cx/ath/matthew/debug/Debug.jpp 
 	mkdir -p classes
-	cpp $(PPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
+	cpp $(PPFLAGS) $(JPPFLAGS) -DDEBUGSETTING=true < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JVERCFLAGS) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .disabledebug
 	touch .enabledebug
 .disabledebug: cx/ath/matthew/debug/Debug.jpp 
 	mkdir -p classes
-	cpp $(PPFLAGS) -DDEBUGSETTING=false < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
-	$(JAVAC) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
+	cpp $(PPFLAGS) $(JPPFLAGS) -DDEBUGSETTING=false < cx/ath/matthew/debug/Debug.jpp > cx/ath/matthew/debug/Debug.java
+	$(JAVAC) $(JVERCFLAGS) $(JCFLAGS) -cp classes -d classes cx/ath/matthew/debug/Debug.java cx/ath/matthew/utils/Hexdump.java
 	rm -f .enabledebug
 	touch .disabledebug
 cx/ath/matthew/debug/Debug.java: .disabledebug
