## libmatthew-java 0.7.3

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.7.2
+MATTVER=0.7.3
 DEBUGVER=1.1
 UNIXVER=0.5
 CGIVER=0.5
