=== debian/changelog ===
libmatthew-java (0.7.3-2) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #762540), set Maintainer to "Debian QA Group".
  * Switch to "3.0 (quilt)" source format.
  * Apply patch from Michael Haggerty to use relative paths
    in manifest file. Closes: #619890.
  * Raise debhelper compat level to 9.
  * Simplify debian/rules and put default-jdk-doc in Build-Depends.
  * Remove cx/ath/matthew/debug/Debug.java in clean target, since it's
    recreated during the build.

 -- Santiago Vila <sanvila@debian.org>  Thu, 04 Aug 2016 11:22:46 +0100

libmatthew-java (0.7.3-1) unstable; urgency=low

  * New upstream release, fixes a memory leak (Closes: #590331)

 -- Matthew Johnson <mjj29@debian.org>  Thu, 05 Aug 2010 18:36:12 +0100

libmatthew-java (0.7.2-3) unstable; urgency=low

  * Use default-jdk-doc instead of classpath-doc (Closes: #567283)
  * Fix some lintian warnings 
  * Don't build doc when only building arch: any packages (Closes: #561414) 

 -- Matthew Johnson <mjj29@debian.org>  Sat, 17 Apr 2010 17:24:37 +0100

libmatthew-java (0.7.2-2) unstable; urgency=low

  * Convert to dh 7
  * don't use default-jdk-builddep but default-jdk

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Dec 2009 10:59:00 +0000

libmatthew-java (0.7.2-1) unstable; urgency=low

  * New Upstream Release
  * Bump Standards-Version
  * Bump debhelper compat
  * Change to section java

 -- Matthew Johnson <mjj29@debian.org>  Sun, 05 Apr 2009 11:11:45 +0100

libmatthew-java (0.7.1-1) unstable; urgency=low

  * New Upstream Release (Closes: #476019)
  * Change to use default-jdk-builddep (Closes: #477878)

 -- Matthew Johnson <mjj29@debian.org>  Sat, 26 Apr 2008 13:27:43 +0100

libmatthew-java (0.6-1) unstable; urgency=low

  * New Upstream Release
  * Use javahelper 
  * Bump Standards-Version

 -- Matthew Johnson <mjj29@debian.org>  Thu, 10 Jan 2008 13:55:43 +0000

libmatthew-java (0.5-2) unstable; urgency=low

  * Add watch file from watchwiz 

 -- Matthew Johnson <mjj29@debian.org>  Tue, 25 Dec 2007 11:19:29 +0000

libmatthew-java (0.5-1) unstable; urgency=low

  * Accompanying upstream change to avoid javadoc talking to the web
    (Closes: #447351)
  * Change maintainer address 

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:22:47 +0000

libmatthew-java (0.4-2) unstable; urgency=low

  * fix javadoc variables to make not to need networking 

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 19 Sep 2007 16:41:31 +0100

libmatthew-java (0.4-1) unstable; urgency=low

  * New Upstream Version
  * Add JAVADOC to rules; forces creating javadoc with gjdoc.
  * Add docs package 
  * Register documentation with doc-base
  * Initial upload to Debian: Closes: #413405
  * Update to new Java policy
  * put docs in section doc and libs in section libs 

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed, 30 May 2007 00:24:43 +0100

libmatthew-java (0.3-1) unstable; urgency=low

  * New Upstream Version
  * Tidy up rules a bit
  * Remove overrides and full-stops

 -- Matthew Johnson <debian@matthew.ath.cx>  Wed,  3 Jan 2007 21:56:49 +0000

libmatthew-java (0.1-1) unstable; urgency=low

  * Initial Release.
  * Build with fastjar and java-gcj-compat-dev

 -- Matthew Johnson <debian@matthew.ath.cx>  Tue, 19 Dec 2006 14:35:37 +0000
