=== debian/control ===
Source: libmatthew-java
Section: java
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               docbook-to-man,
               default-jdk,
               default-jdk-doc,
               fastjar, 
               javahelper (>= 0.25)
Standards-Version: 3.8.4

Package: libunixsocket-java
Architecture: any
Depends: ${java:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: libmatthew-java-doc
Description: Unix socket API and bindings for Java
 These bindings allow you to connect to Unix Sockets from within Java
 programs.

Package: libmatthew-io-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Extra IO library for Java
 This library provides classes to pipe a stream through an external program,
 print DOM trees and split an output stream so that it also goes to a file.

Package: libmatthew-debug-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Debugging library for Java
 This package provides a debugging library for Java, including a generic 
 utility class for providing nicely formatted dumps of byte arrays
 (similar to the hexdump utility).

Package: libcgi-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: CGI library for Java
 This library allows CGI scripts to be written in Java.  The library provides
 access to all the standard CGI variables including POST/GET. It also makes it
 easy to create input forms in HTML documents.

Package: libmatthew-java-doc
Architecture: all
Depends: default-jdk-doc, ${misc:Depends}
Section: doc
Recommends: libcgi-java, 
            libmatthew-debug-java,
            libmatthew-io-java,
            libunixsocket-java
Description: API documentation for the libmatthew-java libraries
 The Javadoc API documentation for libcgi-java, libmatthew-debug-java,
 libmatthew-io-java and libunixsocket-java.
