=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with javahelper

override_dh_auto_build:
	$(MAKE) JAVA_HOME=/usr/lib/jvm/default-java \
			  JAVAC=/usr/lib/jvm/default-java/bin/javac \
			  JAVAH=/usr/lib/jvm/default-java/bin/javah \
			  JAVADOC=/usr/lib/jvm/default-java/bin/javadoc \
			  JAVADOCFLAGS="-quiet -author -link /usr/share/doc/default-jdk-doc/api/" \
			  JAR=/usr/bin/fastjar \
			  PREFIX=/usr \
			  all doc

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	rm -f cx/ath/matthew/debug/Debug.java

override_dh_auto_install: 
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install install-doc

override_jh_installjavadoc:
	jh_installjavadoc --author="Matthew Johnson"
