## libmatthew-java 0.8

=== Makefile ===
--- 
+++ 
@@ -29,10 +29,10 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.7.3
+MATTVER=0.8
 DEBUGVER=1.1
 UNIXVER=0.5
-CGIVER=0.5
+CGIVER=0.6
 IOVER=0.1
 HEXVER=0.2
