=== debian/changelog ===
libmatthew-java (0.8-2) unstable; urgency=medium

  * debian/rules: Override JVERCFLAGS and use a supported source version. This
    will fix the FTBFS with Java 9. (Closes: #873989)
    Thanks to Markus Koschany for the patch!
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: use dh11

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 29 Dec 2017 14:42:46 +0100

libmatthew-java (0.8-1) unstable; urgency=medium

  * new upstream version
  * fix broken debian/watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 01 Nov 2016 21:42:46 +0100

libmatthew-java (0.7.3-3) unstable; urgency=medium

  * new maintainer (Closes: #762540)
  * debian/control: bump standard to 3.9.8 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 15 Oct 2016 16:42:46 +0200
