=== debian/control ===
--- 
+++ 
@@ -1,30 +1,42 @@
 Source: libmatthew-java
 Section: java
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
+Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
+Uploaders: Thorsten Alteholz <debian@alteholz.de>
+Build-Depends: debhelper (>= 11),
                docbook-to-man,
                default-jdk,
                default-jdk-doc,
                fastjar, 
                javahelper (>= 0.25)
-Standards-Version: 3.8.4
+Standards-Version: 4.1.3
+Homepage: http://www.matthew.ath.cx/projects/java/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-iot/libmatthew-java.git
+Vcs-Git: https://anonscm.debian.org/git/debian-iot/libmatthew-java.git
 
 Package: libunixsocket-java
 Architecture: any
 Depends: ${java:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Suggests: libmatthew-java-doc
 Description: Unix socket API and bindings for Java
- These bindings allow you to connect to Unix Sockets from within Java
- programs.
+ This library is a collection of classes and native code to 
+ allow you to read and write Unix sockets from within Java. 
 
 Package: libmatthew-io-java
 Architecture: all
 Depends: ${misc:Depends}, ${java:Depends}
 Suggests: libmatthew-java-doc
 Description: Extra IO library for Java
- This library provides classes to pipe a stream through an external program,
- print DOM trees and split an output stream so that it also goes to a file.
+ This library provides extensions to the Java I/O subsystem. Firstly, there is 
+ a class which will connect any InputStream with an OutputStream and copies data 
+ between them. 
+ .
+ Secondly there are two classes for inserting into an Input or OutputStream pipe 
+ a command line command, so that everything is piped through that command. 
+ .
+ Thirdly there are a pair of classes for splitting streams in two. This can 
+ either be to two OuputStreams, or to an OutputStream and a file. 
+ Equivelent to the UNIX tool tee in UNIX pipes. 
 
 Package: libmatthew-debug-java
 Architecture: all
@@ -53,6 +65,7 @@
             libmatthew-io-java,
             libunixsocket-java
 Description: API documentation for the libmatthew-java libraries
- The Javadoc API documentation for libcgi-java, libmatthew-debug-java,
+ This package contains the Javadoc API documentation for the
+ other packages: libcgi-java, libmatthew-debug-java, 
  libmatthew-io-java and libunixsocket-java.
