=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 			  JAVAH=/usr/lib/jvm/default-java/bin/javah \
 			  JAVADOC=/usr/lib/jvm/default-java/bin/javadoc \
 			  JAVADOCFLAGS="-quiet -author -link /usr/share/doc/default-jdk-doc/api/" \
+                          JVERCFLAGS="-source 1.7" \
 			  JAR=/usr/bin/fastjar \
 			  PREFIX=/usr \
 			  all doc
@@ -17,7 +18,7 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f cx/ath/matthew/debug/Debug.java
+	#rm -f cx/ath/matthew/debug/Debug.java
 
 override_dh_auto_install: 
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install install-doc
