## libmatthew-java 0.8.1

=== Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 DOCDIR?=$(PREFIX)/share/doc/libmatthew-java/
 LIBDIR?=$(PREFIX)/lib/jni
 
-MATTVER=0.8
+MATTVER=0.8.1
 DEBUGVER=1.1
 UNIXVER=0.5
 CGIVER=0.6
@@ -45,6 +45,8 @@
 .NOTPARALLEL:
 
 all: unix-$(UNIXVER).jar cgi-$(CGIVER).jar debug-enable-$(DEBUGVER).jar debug-disable-$(DEBUGVER).jar io-$(IOVER).jar hexdump-$(HEXVER).jar libcgi-java.so libunix-java.so
+
+dist: libmatthew-java-$(MATTVER).tar.gz
 
 classes: .classes 
 .classes: $(SRC) 
@@ -76,15 +78,14 @@
 	$(CC) $(CFLAGS) $(CSTD) $(CSHAREFLAG) $(INCLUDES) -c -o $@ $<
 lib%.so: %.o
 	$(CC) $(LDFLAGS) $(LDSHAREFLAGS) -o $@ $<
-unix-java.h: .classes
+headers: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.unix.UnixServerSocket cx.ath.matthew.unix.UnixSocket cx.ath.matthew.unix.USInputStream cx.ath.matthew.unix.USOutputStream
-cgi-java.h: .classes
 	$(JAVAH) -classpath classes -o $@ cx.ath.matthew.cgi.CGI
 
 test.cgi: cgi-$(CGIVER).jar libcgi-java.so
 	$(GCJ) $(GCJFLAGS) $(GCJJNIFLAG) -L. -lcgi-java -o test.cgi --main=cx.ath.matthew.cgi.testcgi cgi-$(CGIVER).jar
 	
-libmatthew-java-$(MATTVER).tar.gz: Makefile cx cgi-java.c unix-java.c README INSTALL COPYING changelog
+libmatthew-java-$(MATTVER).tar.gz: Makefile cx cgi-java.c unix-java.c README INSTALL COPYING changelog unix-java.h cgi-java.h
 	mkdir -p libmatthew-java-$(MATTVER)
 	cp -a $^ libmatthew-java-$(MATTVER)
 	tar zcf $@ libmatthew-java-$(MATTVER)
