=== debian/changelog ===
libmatthew-java (0.8.1-4) unstable; urgency=medium

  * add salsa-ci.yml and gbp.conf
  * add debian/clean (Closes: #1045192)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 23 Nov 2024 09:42:46 +0100

libmatthew-java (0.8.1-3) unstable; urgency=medium

  [ Vladimir Petko ]
  * debian/rules: use java_compat_level variable provided by java-common to
                  adjust --release level to the minimum required by the
                  default Java (Closes: #1052581).
                  (Closes: #1069496)
  [ Thorsten Alteholz ]
  * debian/control: bump standard to 4.7.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 21 Apr 2024 12:42:46 +0200

libmatthew-java (0.8.1-2) unstable; urgency=medium

  * add patch to fix javadoc error (FTBFS with OpenJDK 17)
    Closes: #981944
    Thanks to Markus Koschany for the patch!
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 14 Sep 2022 21:42:46 +0200

libmatthew-java (0.8.1-1) unstable; urgency=medium

  * new upstream version (Closes: #897541)
  * debian/control: add Salsa VCS URLs
  * debian/control: bump standard to 4.1.4 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 07 May 2018 18:42:46 +0200
