=== debian/control ===
Source: libmatthew-java
Section: java
Priority: optional
Maintainer: Debian IoT Maintainers <debian-iot-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 11),
               docbook-to-man,
               default-jdk,
               default-jdk-doc,
               fastjar,
               javahelper (>= 0.25)
Standards-Version: 4.7.0
Homepage: http://www.matthew.ath.cx/projects/java/
Vcs-Browser: https://salsa.debian.org/debian-iot-team/libmatthew-java
Vcs-Git: https://salsa.debian.org/debian-iot-team/libmatthew-java.git

Package: libunixsocket-java
Architecture: any
Depends: ${java:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: libmatthew-java-doc
Description: Unix socket API and bindings for Java
 This library is a collection of classes and native code to
 allow you to read and write Unix sockets from within Java.

Package: libmatthew-io-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Extra IO library for Java
 This library provides extensions to the Java I/O subsystem. Firstly, there is
 a class which will connect any InputStream with an OutputStream and copies data
 between them.
 .
 Secondly there are two classes for inserting into an Input or OutputStream pipe
 a command line command, so that everything is piped through that command.
 .
 Thirdly there are a pair of classes for splitting streams in two. This can
 either be to two OuputStreams, or to an OutputStream and a file.
 Equivelent to the UNIX tool tee in UNIX pipes.

Package: libmatthew-debug-java
Architecture: all
Depends: ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: Debugging library for Java
 This package provides a debugging library for Java, including a generic
 utility class for providing nicely formatted dumps of byte arrays
 (similar to the hexdump utility).

Package: libcgi-java
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${java:Depends}
Suggests: libmatthew-java-doc
Description: CGI library for Java
 This library allows CGI scripts to be written in Java.  The library provides
 access to all the standard CGI variables including POST/GET. It also makes it
 easy to create input forms in HTML documents.

Package: libmatthew-java-doc
Architecture: all
Depends: default-jdk-doc, ${misc:Depends}
Section: doc
Recommends: libcgi-java,
            libmatthew-debug-java,
            libmatthew-io-java,
            libunixsocket-java
Description: API documentation for the libmatthew-java libraries
 This package contains the Javadoc API documentation for the
 other packages: libcgi-java, libmatthew-debug-java,
 libmatthew-io-java and libunixsocket-java.
