=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+include /usr/share/java/java_defaults.mk
 
 %:
 	dh $@ --with javahelper
@@ -9,7 +10,7 @@
 			  JAVAH=/usr/lib/jvm/default-java/bin/javah \
 			  JAVADOC=/usr/lib/jvm/default-java/bin/javadoc \
 			  JAVADOCFLAGS="-quiet -author -link /usr/share/doc/default-jdk-doc/api/" \
-                          JVERCFLAGS="-source 1.7" \
+                          JVERCFLAGS="--release $(java_compat_level)" \
 			  JAR=/usr/bin/fastjar \
 			  PREFIX=/usr \
 			  all doc
@@ -20,7 +21,7 @@
 	dh_auto_clean
 	#rm -f cx/ath/matthew/debug/Debug.java
 
-override_dh_auto_install: 
+override_dh_auto_install:
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp PREFIX=/usr install install-doc
 
 override_jh_installjavadoc:
